- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreOverlayElement.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`
`#include "OgreRenderable.h"`
`#include "OgreUTFString.h"`
`#include "OgreStringInterface.h"`
`#include "OgreOverlayElementCommands.h"`
`#include "OgreColourValue.h"`
`#include "OgreRectangle.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::OverlayElement
| Abstract definition of a 2D element to be displayed in an Overlay. More...
## Defines
#define | OGRE_DEREF_DISPLAYSTRING_ITERATOR(it) it.getCharacter()
## Typedefs
typedef UTFString | Ogre::DisplayString
## Enumerations
enum | Ogre::GuiMetricsMode { Ogre::GMM_RELATIVE, Ogre::GMM_PIXELS, Ogre::GMM_RELATIVE_ASPECT_ADJUSTED }
| Enum describing how the position / size of an element is to be recorded. More...
enum | Ogre::GuiHorizontalAlignment { Ogre::GHA_LEFT, Ogre::GHA_CENTER, Ogre::GHA_RIGHT }
| Enum describing where '0' is in relation to the parent in the horizontal dimension. More...
enum | Ogre::GuiVerticalAlignment { Ogre::GVA_TOP, Ogre::GVA_CENTER, Ogre::GVA_BOTTOM }
| Enum describing where '0' is in relation to the parent in the vertical dimension. More...

## Define Documentation

#define OGRE_DEREF_DISPLAYSTRING_ITERATOR | ( | it |  | ) | it.getCharacter()

Definition at line 47 of file OgreOverlayElement.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:58 2008